.skills-container {
    grid-area: skills;
    display: grid;
    grid-template-rows: 7rem auto;
    grid-template-areas: 
    "title"
    "skills";
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 0px; /* No gap */
    padding: 0 5px; 
    text-align: center;
    /* background-color: aliceblue; */
}

.title{
    grid-area: title;
    /* background-color: aqua; */
    color: #353096;
    top:0;
    font-size: 2rem;
    padding-left: 0.5rem;
    font-family: 'Silkscreen', sans-serif;
    /* -webkit-text-stroke: 1px rgb(7, 4, 59);  */
    text-shadow: 3px 4px 5px rgb(129, 57, 85);
}

.skill-category {
    color: #370a42;
    font-size: 1.7rem;
    padding-left: 0.5rem;
    font-family: 'Silkscreen', sans-serif;
    /* -webkit-text-stroke: 1px rgb(7, 4, 59);  */
    text-shadow: 3px 4px 5px rgb(128, 45, 139);
    grid-column: span 2;
    margin-bottom: 0; /* Prevents extra spacing */
   
    line-height: 1.2; 
    padding-top: 5rem;
    padding-bottom: 0;

}

.skill {
   
   
    width: 100%; /* Fill available space */
    height: 100%;
    background: rgba(255, 255, 255, 0.1);
    border-radius: 0; /* No border radius for full width */
    display: flex;
    background-color: rgb(240, 239, 227);
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    color: rgb(32, 41, 119);
    font-size: 1.5rem;
    cursor: pointer;
    border: 1px solid rgb(190, 111, 180);
    box-shadow: 0 2px 1px rgba(29, 1, 25, 0.3);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    perspective: 500px;
    transform: rotateX(0) rotateY(0);
    font-family: 'Silkscreen', sans-serif;
}

.skill:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 20px rgba(14, 1, 20, 0.6);
}

/* Icon Styling */
.skill img {
    width: 30%;
    height: 100%;
    margin-bottom: 10px;
}
